/***************************************************************************
                          globaldata.h  -  description
                             -------------------
    begin                : Tue Mar 21 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef GLOBALDATA_H
#define GLOBALDATA_H
#include "typetable.h"
#include "predicatetable.h"
#include "modetable.h"

extern TypeTable typetable;
extern PredicateTable predicatetable;
extern ModeTable modetable;
extern ModeData *key;
extern unsigned int minsup;
extern int maxloop;
extern double minint;
extern bool selfduplication; // should be false when emulating warmr
extern bool showconstantnames;

void globaldata_print ();

#endif
