/***************************************************************************
                         qmonitordialog.cpp  -  Visual Farmer
                             -------------------
    begin                : Mon Jul 10 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "qmonitordialog.h"

QTextStream qcout( stdout, IO_WriteOnly );
QTextStream qcin ( stdin,  IO_ReadOnly );
QTextStream qcerr( stderr, IO_WriteOnly );
QMonitorDialog *monitordialog;

QMonitorDialog::QMonitorDialog(QWidget *parent, const char *name) :
	QDialog(parent,name,false)
{
	output = new QTextStream ( outputstring, IO_WriteOnly );
	monitordialog = this;
	initDialog();
	
	connect(OKButton,SIGNAL(clicked()),this,SLOT(accept()));
	OKButton->setEnabled ( false );
}

int QMonitorDialog::exec () {
	OKButton->setEnabled ( true );
}

QMonitorDialog::~QMonitorDialog(){
  delete output;
}

void QMonitorDialog::insertLine ( const char *name ) {
  QMultiLineEdit_1->insertLine ( name );
  QMultiLineEdit_1->setCursorPosition ( 10000, 0 );
}

