/***************************************************************************
                          globaldata.cc  -  description
                             -------------------
    begin                : Tue Mar 21 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "output.h"
#include "globaldata.h"

TypeTable typetable;
PredicateTable predicatetable;
ModeTable modetable;
ModeData *key;
unsigned int minsup = 1;
int maxloop = -1;
double minint = 1;
bool selfduplication = true;
bool showconstantnames = false;

void globaldata_print () {
  OUT << "Minimum support: " << minsup << endl
      << "Minimum interest: " << minint << endl
      << "Selfduplication: " << ( selfduplication ? "ON" : "OFF" ) << endl
      << "Show constant names: " << ( showconstantnames ? "ON": "OFF" ) << endl;
  OUT_F
}
