/***************************************************************************
                        tree_global.h  -  Visual farmer
                             -------------------
    begin                : Fri Aug 4 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef TREE_GLOBAL_H
#define TREE_GLOBAL_H
#include "tree.h"
#include "output.h"
#include "globaldata.h"
#include "modefacttable.h"
#define INTERESTING(a,b) ( a < minint * b )

void printNode ( Node *node );
void printTree ( int depth, Node *node, bool infrequent );

extern ChildList *root;
extern int *variables;
extern int nvar;
extern int treedepth;
extern int *typemaxvar;
extern int **varval; // used to store equivalences and variable values during count
extern bool **constused; // true in this table if variable is bound to this constant
extern int keyvarcount;

extern Node **nodehistory;
#endif