/***************************************************************************
                        visualfarmerdoc.h  -  Visual farmer
                             -------------------
    begin                : Mon Jul 10 20:04:47 CEST 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef VISUALFARMERDOC_H
#define VISUALFARMERDOC_H

// include files for QT
#include <qobject.h>
#include "farmer/tree.h"

// application specific includes

/**
  * the Document Class
  */

class VisualfarmerDoc : public QObject
{
  Q_OBJECT

  public:
    VisualfarmerDoc();
    ~VisualfarmerDoc();
    void newDoc();
    bool save();
    bool saveAs(const QString &filename);
    bool load(const QString &filename);
    bool isModified() const;

  signals:
    void documentChanged();

  protected:
    bool modified;
    // no actual document info: all info in farmer/ is the document!
};

#endif
